package de.intevation.flys.client.client.ui;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.layout.HLayout;
import com.smartgwt.client.widgets.layout.VLayout;

import de.intevation.flys.client.shared.model.Data;
import de.intevation.flys.client.shared.model.DataItem;
import de.intevation.flys.client.shared.model.DefaultData;
import de.intevation.flys.client.shared.model.DefaultDataItem;
import de.intevation.flys.client.shared.model.DataList;

import de.intevation.flys.client.client.FLYSConstants;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DatacagePanel extends TextProvider {

    protected static FLYSConstants MSG = GWT.create(FLYSConstants.class);

    protected String dataName;


    @Override
    public Canvas create(DataList dataList) {
        Data   data   = dataList.get(0);
        this.dataName = data.getLabel();

        Canvas label  = new Label(data.getDescription());
        Canvas widget = createWidget();
        Canvas submit = getNextButton();

        VLayout layout = new VLayout();
        label.setHeight(25);

        layout.addMember(label);
        layout.addMember(widget);
        layout.addMember(submit);
        layout.setMembersMargin(10);

        return layout;
    }


    public Canvas createWidget() {
        HLayout layout = new HLayout();
        layout.setMembersMargin(10);

        layout.addMember(createForm());
        layout.addMember(new DatacageButton(MSG.databasket(), artifact));

        return layout;
    }


    @Override
    protected Data[] getData() {
        String value  = "TODO:FIND VALUE";
        DataItem item = new DefaultDataItem(dataName, dataName, value);
        return new Data[] { new DefaultData(
            dataName, null, null, new DataItem[] { item }) };
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
